import { IComponentRender, IComponentEvents } from '@zeedhi/common';
import { IEvent, IEventParam } from '@zeedhi/core';
import { QrCodeReader } from '../QrCodeReader';

export interface IQrCodeReaderEventParam extends IEventParam<QrCodeReader> {
  decodeString: string;
}

export interface IQrCodeReaderEvents<T = IQrCodeReaderEventParam | IEventParam<any>> extends IComponentEvents<T> {
  decode?: IEvent<T>;
}

export interface IQrCodeReader extends IComponentRender {
  events?: IQrCodeReaderEvents;
}
